GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List competitors GETAdd competitor POSTUpdate competitor PATCHBulk update competitors POSTSet competitor tags PUTTag competitors POST
Competitors

Set competitor tags PUT

Replace a competitor's tags.

List cited domains GET

Most cited domains with share, change and daily counts.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Competitors

Tag competitors

POST
/brands/{brandId}/competitors/tags

Add tags to or remove tags from several competitors, leaving their other tags.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
ids*array<>
Items1 <= items <= 100
tagIds*array<>
Items1 <= items <= 50
action*string
Value in"add""remove"

Response Body

Tags added to or removed from every listed competitor of the brand

Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/competitors/tags' \  -H 'Content-Type: application/json' \  -d '{  "ids": [    "6e0346a3-e54d-40e3-9779-4ba1e707e35b"  ],  "tagIds": [    "9c99701b-f191-4642-8bc0-e04053f29131"  ],  "action": "add"}'
Example Response
Empty

Set competitor tags PUT

Replace a competitor's tags.

List cited domains GET

Most cited domains with share, change and daily counts.

Start free trial
Start free trial
Example Request
curl -X POST 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/competitors/tags' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "6e0346a3-e54d-40e3-9779-4ba1e707e35b"
  ],
  "tagIds": [
    "9c99701b-f191-4642-8bc0-e04053f29131"
  ],
  "action": "add"
}'